# ActorTrace (dapr-sdk-parent 1.10.0 API)

Package io.dapr.actors

## Class ActorTrace

- java.lang.Object
- - io.dapr.actors.ActorTrace

    public final class ActorTrace
    extends Object

Class to emit trace log messages.

### Constructor Summary

Constructors
`ActorTrace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeError​(String type, String id, String msgFormat, Object... params)` Writes an error trace log.
`void` `writeInfo​(String type, String id, String msgFormat, Object... params)` Writes an information trace log.
`void` `writeWarning​(String type, String id, String msgFormat, Object... params)` Writes an warning trace log.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActorTrace

    public ActorTrace()

### Method Detail

#### writeInfo

    public void writeInfo​(String type,
                          String id,
                          String msgFormat,
                          Object... params)

Writes an information trace log.

Parameters:
  `type` - Type of log.
  `id` - Instance identifier.
  `msgFormat` - Message or message format (with type and id input as well).
  `params` - Params for the message.

#### writeWarning

    public void writeWarning​(String type,
                             String id,
                             String msgFormat,
                             Object... params)

Writes an warning trace log.

Parameters:
  `type` - Type of log.
  `id` - Instance identifier.
  `msgFormat` - Message or message format (with type and id input as well).
  `params` - Params for the message.

#### writeError

    public void writeError​(String type,
                           String id,
                           String msgFormat,
                           Object... params)

Writes an error trace log.

Parameters:
  `type` - Type of log.
  `id` - Instance identifier.
  `msgFormat` - Message or message format (with type and id input as well).
  `params` - Params for the message.